Summary: 	A tool for arranging times in advance with overseas colleagues
Name: 		international-time
Version: 	0.0.2
Release: 	4%{?dist}
License: 	GPL
Group: 		Applications/System
Source0: 	http://cyberelk.net/tim/data/international-time/international-time-%{version}.tar.bz2
Patch0:		international-time-current-time.patch
Url:            http://cyberelk.net/tim/data/international-time/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: 	noarch

BuildRequires: 	desktop-file-utils >= 0.2.92
Requires: 	pygtk2-libglade

%description
This is a graphical tool for converting a local "wall-clock" time into
UTC.  This is useful for arranging conference calls where participants
from other countries are expected

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .current-time

%build

%install
rm -rf %{buildroot}

cat >international-time.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=International Time
Comment=International Time Coordinator
Exec=/usr/bin/international-time
Terminal=false
Type=Application
EOF

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/applications
install -m 0755 international-time.py %{buildroot}%{_bindir}/international-time
install -m 0644 international-time.glade %{buildroot}%{_datadir}/%{name}
desktop-file-install --vendor fedora \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Utility \
  --add-category Application \
  --add-category X-Fedora \
  international-time.desktop

%clean
rm -rf %{buildroot}

%post
/usr/bin/update-desktop-database &>/dev/null ||:

%postun
if [ "$1" = "0" ]; then
  /usr/bin/update-desktop-database &>/dev/null ||:
fi

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*

%changelog
* Fri Sep 14 2007 Tim Waugh <twaugh@redhat.com> 0.0.2-4
- Use the current time (bug #291151).

* Wed Dec  6 2006 Tim Waugh <twaugh@redhat.com> 0.0.2-3
- Built for devel.

* Fri Oct 27 2006 Tim Waugh <twaugh@redhat.com>
- Better categories for the desktop file.

* Wed Oct 25 2006 Tim Waugh <twaugh@redhat.com>
- Update desktop database on installation.

* Wed Oct 18 2006 Tim Waugh <twaugh@redhat.com> 0.0.2-1
- 0.0.2.  More fixes from package review.

* Thu Oct 12 2006 Tim Waugh <twaugh@redhat.com> 0.0.1-2
- Fixes from package review.

* Thu Jul 27 2006 Tim Waugh <twaugh@redhat.com> 0.0.1-1
- Minor GUI change.

* Thu Jun  8 2006 Tim Waugh <twaugh@redhat.com>
- Initial spec file.
